<template>
  <div class="call-log-container">
    <span v-if="formmatedDate.isYesterday">
      {{ t('tabs.contacts.yesterday') }}&nbsp;{{ formmatedDate.value }}</span
    >
    <span v-else> {{ formmatedDate }}</span>
    <div>{{ t('tabs.callpad.missCall') }}</div>
    <!-- <IonIcon icon="/Images/tabs/call-history/incoming.svg"></IonIcon> -->
    <IonIcon icon="/Images/tabs/call-history/miss-outgoing.svg"></IonIcon>
  </div>
</template>
<script setup>
import { defineProps, computed } from 'vue';
import { useI18n } from 'vue-i18n';
import { IonIcon } from '@ionic/vue';
import { dateFormatterHandler } from '@/helpers/dateAndTimeFormatter.js';
import { useLocaleStore } from '@/store/locale.js';

const { t } = useI18n();
const props = defineProps({
  date: {
    type: String,
  },
});
const formmatedDate = computed(() => {
  const localeStore = useLocaleStore();
  const localeFormat = localeStore.getLocaleFormat;
  return dateFormatterHandler(props.date, localeFormat, {
    isFromMessages: true,
    isFromCallHistory: false,
  });
});
</script>
<style scoped>
.call-log-container {
  background-color: var(--ion-color-bg-input);
  color: var(--ion-color-dark);
  display: flex;
  gap: 5px;
  justify-content: center;
  align-items: center;
  width: max-content;
  margin: auto;
  padding: 5px 10px;
  border-radius: 10px;
  margin-bottom: 10px;
  font-size: 12px;
  min-height: 30px;
}

ion-icon {
  width: 20px;
  height: 20px;
}
</style>
